curl "https://api.scanova.io/multi-users/permission/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"name": "QR Codes",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
]
}
]
共享用户与角色
列出权限分类
GET /multi-users/permission/
GET
/
multi-users
/
permission
/
curl "https://api.scanova.io/multi-users/permission/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"name": "QR Codes",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
]
}
]
在 Management API 主机(
不分页。这是按分类分组的批量替代方案,相较于从现有角色的
api.scanova.io)上列出每个有效的权限分类及其下可用的共享权限,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/multi-users/permission/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/multi-users/permission/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"name": "QR Codes",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
]
}
]
permissions 数组中读取权限 ID——可用它来构建完整的角色编辑界面(按分类分组的复选框),而无需先获取某个角色。
相关内容
- 创建自定义角色——使用此处的权限 ID 来构建
permissions。 - 列出角色——查看现有角色已授予哪些权限。
- 角色与权限——面向人类读者的说明,介绍每项权限授予的内容。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200 - application/json
Permission categories with their permissions.
此页面对您有帮助吗?